
Redmine - Defect #6249

Create and continue returns 404

2010-08-30 21:53 - Tom Rochette

Status: Closed Start date: 2010-08-30

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version:  

Description

r4050

If I try to create a new bug and use the "Create and continue" button, the bug is actually created, but routing is incorrect (returning

me to /issue/new?issue[tracker_id]=(int value here). To "fix", either move

map.resources :issues, :member => { :edit => :post }, :collection => {}

 after

map.resources :issues, :path_prefix => '/projects/:project_id', :collection => { :create => :post 

}

 or remove the line completely. I'm not entirely sure what removing this line causes as side effects, but with it I'm still able to create

new bugs and use the "create and continue" button.

Related issues:

Has duplicate Redmine - Defect #6333: Create and continue results in a 404 Error Closed 2010-09-08

History

#1 - 2010-08-30 21:57 - Tom Rochette

Removing the line will remove all support for those routes (while putting after seems to be fine):

GET    /issues(.:format)?                       {:controller=>"issues", :action=>"index"}

POST   /issues(.:format)?                       {:controller=>"issues", :action=>"create"}

GET    /issues/new(.:format)?                   {:controller=>"issues", :action=>"new"}

GET    /issues/:id/edit(.:format)?              {:controller=>"issues", :action=>"edit"}

POST   /issues/:id/edit(.:format)?              {:controller=>"issues", :action=>"edit"}

GET    /issues/:id(.:format)?                   {:controller=>"issues", :action=>"show"}

PUT    /issues/:id(.:format)?                   {:controller=>"issues", :action=>"update"}

DELETE /issues/:id(.:format)?                   {:controller=>"issues", :action=>"destroy"}

#2 - 2010-08-31 11:08 - Felix Schäfer

Eric, AFAIK you are the only one that has been playing with the routes recently, could you have a look at this?

#3 - 2010-09-02 21:06 - Eric Davis

- Category set to Issues

- Assignee set to Eric Davis

Yea, I'll take a look at it.  Since all of my refactoring passes the test suite, this feature must not have a test for it.

#4 - 2010-09-13 17:51 - Brian Wilson

Pretty sure this duplicates #6333 ?

#5 - 2010-09-13 18:25 - Jean-Baptiste Barth

Brian: yes, sorry I didn't see this one at all.

Tom: can you confirm r4083 solved the problem before we close ?

#6 - 2010-09-13 18:40 - Brian Wilson
The fix works for me.

#7 - 2010-09-17 06:18 - Eric Davis

- Status changed from New to Resolved

- Target version set to 1.0.2

- % Done changed from 0 to 100

- Resolution set to Fixed

Just tested on r4094 and it's working again.  Thanks for fixing that for me Jean-Baptiste.

I'm going to flag this as 1.0.2 for now. I need to review all of my refactorings this weekend to see which ones should go into 1.0.2 and which should go

into 1.1.0.

#8 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2

#9 - 2010-09-27 04:45 - Tom Rochette

Works correctly for me in r4167 (and probably before). I've been using it for a while now. This can be closed.
